<div class="plc view-reason-code-rule-manager"> 
    <div class="plc-menu"> 
        原因代码自动识别规则管理
    </div> 
    
    <div class="rule-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut , 'transform-select':bodyConfig.animateSelect }">
         <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form"> 
                        <div class="public-horizon"> 
                            <label class="horizon-label label-8"><i class="ion-arrow-up-b must-enter-one"></i>原因代码：</label>
                            <div class="horizon-group horizon-col-3">
                                <div ng-if="config.currentReasonCodeS.length == 0" class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">   
                                    <input ng-init="focusInput=false"
                                           ng-focus="focusInput=true"
                                           ng-blur="focusInput=false"
                                           type="text"
                                           placeholder=""
                                           ng-class="{'work-placeholder':clientWorkConfig.isNoValue}"
                                           class="form-control ad-left-child ad-uppercase"
                                           ng-change="reasonCodeChanged();"
                                           ng-model="config.currentReasonCode.reasonCode">
                                    <i ng-click="openReasonCodeModal();" class="fa fa-search ad-right-child focus"></i> 
                                </div> 
                                <div ng-if="config.currentReasonCodeS.length > 0" class="nbox-group-input andon-input-wrapper xbr-reasoncode-array-wrapper">
                                    <span ng-bind="config.reasonCodeSStr"></span>
                                    <i ng-click="clearReasonCodes();" class="ion-ios-close-outline ad-right-child focus"></i>
                                </div> 
                            </div>  
                            <label class="horizon-label label-4"><i class="ion-arrow-up-b must-enter-one"></i>优先级：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select multiple ng-change="priorityChanged($select);" class="andon-content-ui-select" ng-model="config.currentPriorities">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <!-- <span ng-bind="config.currentPriority.value"></span> -->
                                        <span ng-bind="$item.value"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.priorities | filter: $select.search) track by $index">
                                        <span ng-bind-html="item.value"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <div class="horizon-btns horizon-checkbox">
                                <div class="checkbox checkbox-primary checkbox-inline">
                                    <input type="checkbox" id="hisChangeOrStatusChange1" ng-model="config.queryHistoryChange" ng-change="queryHistoryChangeChange();">
                                    <label for="hisChangeOrStatusChange1">查询历史变更</label>
                                </div>
                            </div>
                            <div class="horizon-btns horizon-checkbox">
                                <div class="checkbox checkbox-primary checkbox-inline">
                                    <input type="checkbox" id="hisChangeOrStatusStatus2" ng-model="config.queryHistoryStatus"
                                           ng-change="queryHistoryStatusChange();">
                                    <label for="hisChangeOrStatusStatus2">查询历史状态</label>
                                </div>
                            </div>
                        </div> 

                        <div class="public-horizon">
                            <label ng-if="config.queryHistoryStatus" class="horizon-label label-8"><span class="text-red">*</span>日期：</label>
                            <label ng-if="config.queryHistoryChange" class="horizon-label label-8"><span class="text-red">*</span>规则生效日期大于：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="queryDataDate"
                                       class="form-control"
                                       ng-model="config.queryData"
                                       ng-change="ruleQueryDateChanged();"
                                       ng-init="initDateTimePicker('#queryDataDate', {},'Y-m-d',false,false);"/>
                            </div>&nbsp;&nbsp;&nbsp;&nbsp;
                            <div class="horizon-btns">
                                <button type="button" ng-disabled="config.btnDisabledQuery" namd="Set focus button" class="btn btn-primary" ng-click="queryDatas();">查询</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <move-template></move-template>
    <div class="plc-content">
        
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon">
                        <div class="horizon-btns">
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="showDetailInfo();" ng-disabled="config.btnDisabledShowDetail">详细信息</button>
                        </div>
                        <div class="horizon-btns" ng-if="config.canEdit">
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="addNewRow();" ng-disabled="config.btnDisabledAddNew">新建</button>
                        </div>
                        <div class="horizon-btns" ng-if="config.canEdit">
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="deleteSelectedRows();" ng-disabled="config.btnDisabledDelete">删除</button>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col-sm-12">
                <div class="andon-grid">
                    <div ui-grid="rulesInfoGrid" class="myMiddleGrid" ui-grid-cellnav ui-grid-selection ui-grid-resize-columns ui-grid-auto-resize></div>
                </div>
            </div>
        </div> 
        
    </div> 
</div> 